extptr_allocator.h File Reference

Go to the source code of this file.

## Classes

class | __gnu_cxx::_ExtPtr_allocator< _Tp >

## Namespaces

| __gnu_cxx

## Functions

template<typename _Tp >
void | __gnu_cxx::swap (_ExtPtr_allocator< _Tp > &__larg, _ExtPtr_allocator< _Tp > &__rarg)

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Author
  Bob Walters

An example allocator which uses an alternative pointer type from bits/pointer.h. Supports test cases which confirm container support for alternative pointers.

Definition in file extptr_allocator.h.